# Method MasterObject()->decode_charset()

Method decode_charset

  `string decode_charset(string data, string charset)`

Description

  This function is called by cpp() when it wants to do character code conversion.

Method decode_charset

  `string decode_charset(string raw, string charset)`

Description

  Convert raw from encoding charset to UNICODE.

  This function is called by cpp() when it encounters `#charset` directives.

Parameter `raw`

  String to convert.

Parameter `charset`

  Name of encoding that raw uses.

Returns

  raw decoded to UNICODE, or `0` (zero) if the decoding failed.

See also

  Charset